This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 485551 - Can't read audio CD in SATA drive: causes Buffer I/O error followed by ATA exception
Can't read audio CD in SATA drive: causes Buffer I/O error followed by ATA ex...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513462
  Show dependency treegraph
 
Reported: 2009-02-14 03:26 EST by Allan Engelhardt
Modified: 2010-06-28 07:16 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:16:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output from 'lspci -vnn' (21.05 KB, text/plain)
2009-02-15 02:36 EST, Allan Engelhardt
no flags Details
output of lspci -vnn (8.67 KB, text/plain)
2009-06-26 15:22 EDT, David
no flags Details
/var/log/dmesg (47.82 KB, text/plain)
2009-07-19 12:28 EDT, Matěj Cepl
no flags Details
/var/log/messages (19.60 KB, application/octet-stream)
2009-08-30 04:48 EDT, David Rebbe
no flags Details
lspci -vnn output on Dell Optiplex 755 (9.15 KB, text/plain)
2010-03-27 16:28 EDT, Luis Felipe Marzagao
no flags Details

  None (edit)
Description Allan Engelhardt 2009-02-14 03:26:23 EST
Description of problem:

I can no longer read CDs in my CD drive.  DVDs appear to work OK.  When inserting a CD into the drive I get a long list of error in /var/log/messages and (after a long, long time) usually a Gnome error message saying it could not find the media in the drive.

From /var/log/messages:

Feb 14 08:02:21 server kernel: end_request: I/O error, dev sr0, sector 0
Feb 14 08:02:21 server kernel: Buffer I/O error on device sr0, logical block 0
Feb 14 08:02:21 server kernel: Buffer I/O error on device sr0, logical block 1
Feb 14 08:02:21 server kernel: Buffer I/O error on device sr0, logical block 2
Feb 14 08:02:21 server kernel: Buffer I/O error on device sr0, logical block 3
Feb 14 08:02:21 server kernel: Buffer I/O error on device sr0, logical block 4
Feb 14 08:02:21 server kernel: Buffer I/O error on device sr0, logical block 5
Feb 14 08:02:21 server kernel: Buffer I/O error on device sr0, logical block 6
Feb 14 08:02:21 server kernel: Buffer I/O error on device sr0, logical block 7
Feb 14 08:02:21 server kernel: end_request: I/O error, dev sr0, sector 0
Feb 14 08:02:21 server kernel: Buffer I/O error on device sr0, logical block 0
Feb 14 08:02:21 server kernel: end_request: I/O error, dev sr0, sector 4
Feb 14 08:02:21 server kernel: Buffer I/O error on device sr0, logical block 1
Feb 14 08:03:16 server kernel: ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 ac
tion 0x6 frozen
Feb 14 08:03:16 server kernel: ata3.00: cmd a0/01:00:00:10:00/00:00:00:00:00/a0 
tag 0 dma 16400 in
Feb 14 08:03:16 server kernel:         cdb 42 02 40 01 00 00 00 00  10 00 00 00 
00 00 00 00
Feb 14 08:03:16 server kernel:         res 40/00:03:00:00:00/00:00:00:00:00/a0 E
mask 0x4 (timeout)
Feb 14 08:03:16 server kernel: ata3.00: status: { DRDY }
Feb 14 08:03:16 server kernel: ata3: hard resetting link

Feb 14 08:03:16 server kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl
 300)
Feb 14 08:03:16 server kernel: ata3.00: configured for UDMA/100
Feb 14 08:03:16 server kernel: ata3: EH complete
Feb 14 08:03:24 server kernel: ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 ac
tion 0x6 frozen
Feb 14 08:03:24 server kernel: ata3.00: cmd a0/01:00:00:10:00/00:00:00:00:00/a0 
tag 0 dma 16400 in
Feb 14 08:03:24 server kernel:         cdb 42 02 40 01 00 00 00 00  10 00 00 00 
00 00 00 00
Feb 14 08:03:24 server kernel:         res 40/00:03:00:00:00/00:00:00:00:00/a0 E
mask 0x4 (timeout)
Feb 14 08:03:24 server kernel: ata3.00: status: { DRDY }
Feb 14 08:03:24 server kernel: ata3: hard resetting link
Feb 14 08:03:24 server kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl
 300)
Feb 14 08:03:24 server kernel: ata3.00: configured for UDMA/100
Feb 14 08:03:24 server kernel: ata3: EH complete
Feb 14 08:04:19 server kernel: ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 ac
tion 0x6 frozen
Feb 14 08:04:19 server kernel: ata3.00: cmd a0/01:00:00:30:09/00:00:00:00:00/a0 
tag 0 dma 2352 in
Feb 14 08:04:19 server kernel:         cdb be 00 00 00 27 eb 00 00  01 f8 00 00 
[... etc etc etc apparently forever ...]


Version-Release number of selected component (if applicable):

Tried on -

kernel-2.6.27.15-170.2.24.fc10.x86_64
kernel-2.6.27.12-170.2.5.fc10.x86_64
kernel-2.6.27.9-159.fc10.x86_64

but it seems to have worked OK(-ish) on an older kernel (i.e. this started or got worse after some upgrade)

How reproducible: Always


Steps to Reproduce:
1. Insert a CD into the drive.
  
Actual results:
Drive spins fast and /var/log/messages fill with errors as above.

Expected results:
CD becomes available to play.


Additional info:

Messages related to sr0 or ata3 in /var/log/messages from boot until inserting CD (grep -e 'sr0' -e 'ata3' /var/log/messages):

Feb 14 07:52:03 server kernel: ata3: SATA max UDMA/133 irq_stat 0x00000040, connection status changed irq 19
Feb 14 07:52:03 server kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Feb 14 07:52:03 server kernel: ata3.00: ATAPI: ATAPI   DVD A  DH16A3L, 8H3D, max UDMA/100
Feb 14 07:52:03 server kernel: ata3.00: configured for UDMA/100
Feb 14 07:52:03 server kernel: sr0: scsi3-mmc drive: 48x/12x writer dvd-ram cd/rw xa/form2 cdda tray
Feb 14 08:00:52 server kernel: ata3: SATA max UDMA/133 irq_stat 0x00000040, connection status changed irq 19
Feb 14 08:00:52 server kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Feb 14 08:00:52 server kernel: ata3.00: ATAPI: ATAPI   DVD A  DH16A3L, 8H3D, max UDMA/100
Feb 14 08:00:52 server kernel: ata3.00: configured for UDMA/100
Feb 14 08:00:52 server kernel: sr0: scsi3-mmc drive: 48x/12x writer dvd-ram cd/rw xa/form2 cdda tray
Comment 1 Chuck Ebbert 2009-02-14 18:06:15 EST
Please post the output of the command 'lspci -vnn'.

If your BIOS setup allows it, change the IDE configuration from AHCI to IDE.
Comment 2 Allan Engelhardt 2009-02-15 02:36:51 EST
Created attachment 331957 [details]
Output from 'lspci -vnn'

The output from 'lspci -vnn' is attached as requested.  I hope this helps.
Comment 3 Chuck Ebbert 2009-02-18 00:29:11 EST
Is this happening with audio CDs?

Try running the command 'hal-disable-polling' and see if that helps.
Comment 4 Allan Engelhardt 2009-02-18 03:08:26 EST
1. Yes, audio CDs only.

2. I had no joy with the suggested workaround.  I did

# hal-disable-polling --device /dev/sr0

and tried grip(1) on the device.  Apart from the fact that the ata3 errors now come before the block of sr0 errors, there is no real difference.  (I also did `hal-disable-polling --device /dev/cdrom` just for good measure, but it told me that "Polling is already disabled on the given drive.")

Note that grip(1) correctly identifies the audio CD and its contents so it must be able to read /something/ from the drive.


# grep -e 'sr0' -e 'ata3' /var/log/messages

Feb 15 16:15:35 server kernel: ata3: SATA max UDMA/133 irq_stat 0x00000040, connection status changed irq 19
Feb 15 16:15:35 server kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Feb 15 16:15:35 server kernel: ata3.00: ATAPI: ATAPI   DVD A  DH16A3L, 8H3D, max UDMA/100
Feb 15 16:15:35 server kernel: ata3.00: configured for UDMA/100
Feb 15 16:15:35 server kernel: sr0: scsi3-mmc drive: 48x/12x writer dvd-ram cd/rw xa/form2 cdda tray
Feb 18 07:52:59 server kernel: ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Feb 18 07:52:59 server kernel: ata3.00: cmd a0/01:00:00:10:00/00:00:00:00:00/a0 tag 0 dma 16400 in
Feb 18 07:52:59 server kernel: ata3.00: status: { DRDY }
Feb 18 07:52:59 server kernel: ata3: hard resetting link
Feb 18 07:53:00 server kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Feb 18 07:53:00 server kernel: ata3.00: configured for UDMA/100
Feb 18 07:53:00 server kernel: ata3: EH complete
Feb 18 07:53:08 server kernel: ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Feb 18 07:53:08 server kernel: ata3.00: cmd a0/01:00:00:10:00/00:00:00:00:00/a0 tag 0 dma 16400 in
Feb 18 07:53:08 server kernel: ata3.00: status: { DRDY }
Feb 18 07:53:08 server kernel: ata3: hard resetting link
Feb 18 07:53:08 server kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Feb 18 07:53:08 server kernel: ata3.00: configured for UDMA/100
Feb 18 07:53:08 server kernel: ata3: EH complete
Feb 18 07:53:08 server kernel: end_request: I/O error, dev sr0, sector 0
Feb 18 07:53:08 server kernel: Buffer I/O error on device sr0, logical block 0
Feb 18 07:53:08 server kernel: Buffer I/O error on device sr0, logical block 1
Feb 18 07:53:08 server kernel: Buffer I/O error on device sr0, logical block 2
Feb 18 07:53:08 server kernel: Buffer I/O error on device sr0, logical block 3
Feb 18 07:53:08 server kernel: Buffer I/O error on device sr0, logical block 4
Feb 18 07:53:08 server kernel: Buffer I/O error on device sr0, logical block 5
Feb 18 07:53:08 server kernel: Buffer I/O error on device sr0, logical block 6
Feb 18 07:53:08 server kernel: Buffer I/O error on device sr0, logical block 7
Feb 18 07:53:08 server kernel: end_request: I/O error, dev sr0, sector 0
Feb 18 07:53:08 server kernel: Buffer I/O error on device sr0, logical block 0
Feb 18 07:53:08 server kernel: end_request: I/O error, dev sr0, sector 4
Feb 18 07:53:08 server kernel: Buffer I/O error on device sr0, logical block 1
Feb 18 07:54:04 server kernel: ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Feb 18 07:54:04 server kernel: ata3.00: cmd a0/01:00:00:30:09/00:00:00:00:00/a0 tag 0 dma 2352 in
Feb 18 07:54:04 server kernel: ata3.00: status: { DRDY }
Feb 18 07:54:04 server kernel: ata3: hard resetting link
Feb 18 07:54:04 server kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Feb 18 07:54:04 server kernel: ata3.00: configured for UDMA/100
Feb 18 07:54:04 server kernel: ata3: EH complete
Feb 18 07:54:54 server kernel: ata3: limiting SATA link speed to 1.5 Gbps
Feb 18 07:54:54 server kernel: ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Feb 18 07:54:54 server kernel: ata3.00: cmd a0/01:00:00:30:09/00:00:00:00:00/a0 tag 0 dma 2352 in
Feb 18 07:54:54 server kernel: ata3.00: status: { DRDY }
Feb 18 07:54:54 server kernel: ata3: hard resetting link
Feb 18 07:54:55 server kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
Feb 18 07:54:55 server kernel: ata3.00: configured for UDMA/100
Feb 18 07:54:55 server kernel: ata3: EH complete
Comment 5 Chuck Ebbert 2009-02-19 18:31:41 EST
Can you try reinstalling 2.6.27.5-117 from here:

  http://koji.fedoraproject.org/koji/buildinfo?buildID=70131

You'll have to download the kernel first, then use this command to install it:

  rpm -ivh --force <filename>
Comment 6 Allan Engelhardt 2009-02-20 03:48:17 EST
Thank you Chuck, but I had no luck with your suggestion of installing kernel 2.6.27.5-117.  I downloaded the files, installed them using `rpm -ihv --oldpackage /tmp/kernel-*.rpm`, and rebooted into the old kernel.

Selecting 'open' from the Gnome menu for the CD drive with an audio CD inserted gives the "Buffer I/O error" messages from above and, almost exactly a minute later, the ata exceptions, just like before:


Feb 20 08:35:47 server kernel: ata3: SATA max UDMA/133 irq_stat 0x00000040, connection status changed irq 19
Feb 20 08:35:47 server kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Feb 20 08:35:47 server kernel: ata3.00: ATAPI: ATAPI   DVD A  DH16A3L, 8H3D, max UDMA/100
Feb 20 08:35:47 server kernel: ata3.00: configured for UDMA/100
Feb 20 08:35:47 server kernel: sr0: scsi3-mmc drive: 48x/12x writer dvd-ram cd/rw xa/form2 cdda tray
Feb 20 08:38:53 server kernel: end_request: I/O error, dev sr0, sector 0
Feb 20 08:38:53 server kernel: Buffer I/O error on device sr0, logical block 0
Feb 20 08:38:53 server kernel: Buffer I/O error on device sr0, logical block 1
Feb 20 08:38:53 server kernel: Buffer I/O error on device sr0, logical block 2
Feb 20 08:38:53 server kernel: Buffer I/O error on device sr0, logical block 3
Feb 20 08:38:53 server kernel: Buffer I/O error on device sr0, logical block 4
Feb 20 08:38:53 server kernel: Buffer I/O error on device sr0, logical block 5
Feb 20 08:38:53 server kernel: Buffer I/O error on device sr0, logical block 6
Feb 20 08:38:53 server kernel: Buffer I/O error on device sr0, logical block 7
Feb 20 08:38:53 server kernel: end_request: I/O error, dev sr0, sector 0
Feb 20 08:38:53 server kernel: Buffer I/O error on device sr0, logical block 0
Feb 20 08:38:53 server kernel: Buffer I/O error on device sr0, logical block 1
Feb 20 08:39:54 server kernel: ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Feb 20 08:39:54 server kernel: ata3.00: cmd a0/01:00:00:30:09/00:00:00:00:00/a0 tag 0 dma 2352 in
Feb 20 08:39:54 server kernel: ata3.00: status: { DRDY }
Feb 20 08:39:54 server kernel: ata3: hard resetting link
Feb 20 08:39:54 server kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Feb 20 08:39:54 server kernel: ata3.00: configured for UDMA/100
Feb 20 08:39:54 server kernel: ata3: EH complete
Comment 7 Allan Engelhardt 2009-03-05 03:08:48 EST
Just a note to confirm that this is still an issue with kernel-2.6.27.19-170.2.35.fc10.x86_64
Comment 8 Allan Engelhardt 2009-06-03 04:05:44 EDT
On kernel-2.6.27.24-170.2.68.fc10.x86_64 the audio CD appears to be readable (possibly with intermittent errors - I will test and monitor) but the log file (/var/log/messages) has a new __ratelimit error:

Jun  3 09:02:47 server kernel: end_request: I/O error, dev sr0, sector 0
Jun  3 09:02:47 server kernel: __ratelimit: 1 callbacks suppressed
Jun  3 09:02:47 server kernel: Buffer I/O error on device sr0, logical block 0
Jun  3 09:02:47 server kernel: Buffer I/O error on device sr0, logical block 1
Jun  3 09:02:47 server kernel: Buffer I/O error on device sr0, logical block 2
Jun  3 09:02:47 server kernel: Buffer I/O error on device sr0, logical block 3
Jun  3 09:02:47 server kernel: Buffer I/O error on device sr0, logical block 4
Jun  3 09:02:47 server kernel: Buffer I/O error on device sr0, logical block 5
Jun  3 09:02:47 server kernel: Buffer I/O error on device sr0, logical block 6
Jun  3 09:02:47 server kernel: Buffer I/O error on device sr0, logical block 7
Jun  3 09:02:47 server kernel: end_request: I/O error, dev sr0, sector 0
Jun  3 09:02:47 server kernel: Buffer I/O error on device sr0, logical block 0
Jun  3 09:02:47 server kernel: end_request: I/O error, dev sr0, sector 4
Jun  3 09:02:47 server kernel: Buffer I/O error on device sr0, logical block 1
Comment 9 Allan Engelhardt 2009-06-03 05:26:19 EDT
Sorry: it is still broken on kernel-2.6.27.24-170.2.68.fc10.x86_64.  I was able to play 3 audio CDs before I got the ata3 errors as above but after that the drive is not usable for audio CDs and I get the same ata3 and Buffer I/O errors as before (plus the new ratelimit)  every time, even after a re-boot.
Comment 10 smallpond 2009-06-14 13:12:29 EDT
I logged "Buffer I/O error on device sr0" when trying to play an audio CD with firefox running.  Playing music files worked fine.  Shutting down firefox stopped the errors and I was able to restart firefox while playing the CD with no errors in the log.  Try closing other apps and report if it makes a difference.

F2.6.27.21-170.2.56.fc10.i686, nVidia nForce audio, ff 3.0.10.
Comment 11 Allan Engelhardt 2009-06-15 04:34:21 EDT
@smallpond: I didn’t have problems with Firefox, but perhaps with running Rhythmbox and grip at the same time, both of which access the CD drive.  I was fine on a new F11 install until I tried that :(

=> Changing version to Fedora 11 now that I have reproduced it there, but htis is present both on F10 and F11. <=
Comment 12 David 2009-06-26 15:19:14 EDT
I am not sure if this the same issue as mine but I am finding that I am getting device IO error reading from dmesg when I insert and audio CD/DVD. It seems to play the CD ok after that.

here is a copy of a section of what dmesg reports.

sr 4:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 4:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0, ILI
sr 4:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
sr 4:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 4:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x2, ILI
sr 4:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 8
Buffer I/O error on device sr0, logical block 1
Buffer I/O error on device sr0, logical block 2
Buffer I/O error on device sr0, logical block 3
sr 4:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 4:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0, ILI
sr 4:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
sr 4:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 4:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0, ILI
sr 4:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
sr 4:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 4:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Info fld=0x0, ILI
sr 4:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0

This is quite annoying and I never seemed to have this issue before. This also mean that Rhythmbox can't recognise the CD at first attempt.
Comment 13 David 2009-06-26 15:22:28 EDT
Created attachment 349592 [details]
output of lspci -vnn
Comment 14 Chris Walker 2009-06-27 14:47:43 EDT
I see the same thing after upgrading two different DELL tower systems to Fedora 11, before with fedora 10 there were no issues.  Both of these are DVD drives, and DVDs mount and operate fine.  But inserting an CD a also see repeated groups of the same messages as comment above:

sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current] 
sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0

I am currently running 2.6.29.5-191.fc11 (hoped new kernel might be better), but no improvement.

Also fails on older HP tower, and a Sony VAIO laptop, all with the same log messages.  Clearly this is a software issue, not a faulty drive.  On the HP get the same errors on CD-writer and DVD drive, so not specific to the DVD.
Comment 15 Matěj Cepl 2009-07-19 12:28:18 EDT
Created attachment 354276 [details]
/var/log/dmesg

Just adding "me too". I am not able to mount this CD with CD-audio, but cdparanoia just works.

from /var/log/dmesg

ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata2.00: ACPI cmd e3/00:1f:00:00:00:a0 succeeded
ata2.00: ACPI cmd e3/00:02:00:00:00:a0 succeeded
ata2.00: ATAPI: MATSHITADVD-RAM UJ862A, SB04, max UDMA/33
ata2.00: ACPI cmd e3/00:1f:00:00:00:a0 succeeded
ata2.00: ACPI cmd e3/00:02:00:00:00:a0 succeeded
ata2.00: configured for UDMA/33
scsi 1:0:0:0: CD-ROM            MATSHITA DVD-RAM UJ862A   SB04 PQ: 0 ANSI: 5
sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 1:0:0:0: Attached scsi CD-ROM sr0
sr 1:0:0:0: Attached scsi generic sg1 type 5

------------------------------------------------

bradford:~# cdparanoia -Av
cdparanoia III release 10.2 (September 11, 2008)

Using cdda library version: 10.2
Using paranoia library version: 10.2
Checking /dev/cdrom for cdrom...
	Testing /dev/cdrom for SCSI/MMC interface
		SG_IO device: /dev/sr0

CDROM model sensed sensed: MATSHITA DVD-RAM UJ862A SB04 
 

Checking for SCSI emulation...
	Drive is ATAPI (using SG_IO host adaptor emulation)

Checking for MMC style command set...
	Drive is MMC style
	DMA scatter/gather table entries: 1
	table entry size: 131072 bytes
	maximum theoretical transfer: 55 sectors
	Setting default read size to 27 sectors (63504 bytes).

Verifying CDDA command set...
	Expected command set reads OK.

Attempting to set cdrom to full speed... 
	drive returned OK.

=================== Checking drive cache/timing behavior ===================

Seek/read timing:
	[38:05.05]:   37ms seek, 1.18ms/sec read [11.3x]                 
	[30:00.00]:   49ms seek, 1.30ms/sec read [10.3x]                 
	[20:00.00]:   47ms seek, 1.47ms/sec read [9.1x]                 
	[10:00.00]:   62ms seek, 1.76ms/sec read [7.6x]                 
	[00:00.00]:   69ms seek, 2.27ms/sec read [5.9x]                 

Analyzing cache behavior...
	Approximate random access cache size: 8 sector(s)               
	Drive cache tests as contiguous                           
	Drive readahead past read cursor: 648 sector(s)                
	Cache tail cursor tied to read cursor                      
	Cache tail granularity: 1 sector(s)                      
	Cache size (considering rollbehind) too small to test cache speed.

Drive tests OK with Paranoia.

bradford:~#
Comment 16 David Rebbe 2009-08-30 04:48:06 EDT
Created attachment 359188 [details]
/var/log/messages

happening to me also.

# cdparanoia -Av
cdparanoia III release 10.2 (September 11, 2008)

Using cdda library version: 10.2
Using paranoia library version: 10.2
Checking /dev/cdrom for cdrom...
	Testing /dev/cdrom for SCSI/MMC interface
		SG_IO device: /dev/sr0

CDROM model sensed sensed: TOSHIBA DVDW/HD TS-L802A AC05 
 

Checking for SCSI emulation...
	Drive is ATAPI (using SG_IO host adaptor emulation)

Checking for MMC style command set...
	Drive is MMC style
	DMA scatter/gather table entries: 1
	table entry size: 131072 bytes
	maximum theoretical transfer: 55 sectors
	Setting default read size to 27 sectors (63504 bytes).

Verifying CDDA command set...
	Expected command set reads OK.

Attempting to set cdrom to full speed... 
	drive returned OK.

=================== Checking drive cache/timing behavior ===================

Seek/read timing:
	[49:45.25]:   52ms seek, 1.15ms/sec read [11.6x]                 
	[40:00.00]:   55ms seek, 1.14ms/sec read [11.7x]                 
	[30:00.00]:   77ms seek, 1.15ms/sec read [11.6x]                 
	[20:00.00]:   84ms seek, 1.18ms/sec read [11.3x]                 
	[10:00.00]:   86ms seek, 1.41ms/sec read [9.5x]                 
	[00:00.00]:   65ms seek, 1.85ms/sec read [7.2x]                 

Analyzing cache behavior...
	Approximate random access cache size: 535 sector(s)               
	Drive cache tests as contiguous                           
	Drive readahead past read cursor: 536 sector(s)                
	Cache tail rollbehind: 535 sector(s)                        
	Cache tail granularity: 1 sector(s)                      
	Cache size (considering rollbehind) too small to test cache speed.

Drive tests OK with Paranoia.

# dmesg | grep 'sr0'
SELinux: initialized (dev sr0, type iso9660), uses genfs_contexts
sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current] 
sr 3:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
Buffer I/O error on device sr0, logical block 1
Buffer I/O error on device sr0, logical block 2
Buffer I/O error on device sr0, logical block 3
Buffer I/O error on device sr0, logical block 4
Buffer I/O error on device sr0, logical block 5
Buffer I/O error on device sr0, logical block 6
Buffer I/O error on device sr0, logical block 7
sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current] 
sr 3:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
Buffer I/O error on device sr0, logical block 0
sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current] 
sr 3:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 4
Buffer I/O error on device sr0, logical block 1
sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current] 
sr 3:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current] 
sr 3:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current] 
sr 3:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 4
sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current] 
sr 3:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 0
sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current] 
sr 3:0:0:0: [sr0] Add. Sense: Illegal mode for this track
end_request: I/O error, dev sr0, sector 4
Comment 17 David Rebbe 2009-08-30 04:50:22 EDT
adding to comment #16.

# uname -r
2.6.29.6-217.2.8.fc11.i586
Comment 18 Colin Kuskie 2009-10-17 15:07:18 EDT
I am also having the same problem.  However, KsCD will play audio CDs on this same kernel/hardware.
Comment 19 Chris Walker 2009-11-04 22:30:44 EST
This problem no longer occurs for me with Fedora 12 beta.
Comment 20 Alex Lancaster 2009-11-08 23:48:35 EST
Sounds very similar to bug 533643.
Comment 21 Ian Weller 2010-01-06 17:37:06 EST
Can seemingly be reproduced on F11 kernel, 2.6.30.10-105.fc11.x86_64

Jan  2 19:38:12 deathray kernel: sr 9:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jan  2 19:38:12 deathray kernel: sr 9:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Jan  2 19:38:12 deathray kernel: sr 9:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Jan  2 19:38:12 deathray kernel: end_request: I/O error, dev sr0, sector 0
Jan  2 19:38:12 deathray kernel: __ratelimit: 3 callbacks suppressed
Jan  2 19:38:12 deathray kernel: Buffer I/O error on device sr0, logical block 0
Jan  2 19:38:12 deathray kernel: Buffer I/O error on device sr0, logical block 1
Jan  2 19:38:12 deathray kernel: Buffer I/O error on device sr0, logical block 2
Jan  2 19:38:12 deathray kernel: Buffer I/O error on device sr0, logical block 3
Jan  2 19:38:12 deathray kernel: Buffer I/O error on device sr0, logical block 4
Jan  2 19:38:12 deathray kernel: Buffer I/O error on device sr0, logical block 5
Jan  2 19:38:12 deathray kernel: Buffer I/O error on device sr0, logical block 6
Jan  2 19:38:12 deathray kernel: Buffer I/O error on device sr0, logical block 7
Jan  2 19:38:12 deathray kernel: sr 9:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jan  2 19:38:12 deathray kernel: sr 9:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Jan  2 19:38:12 deathray kernel: sr 9:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Jan  2 19:38:12 deathray kernel: end_request: I/O error, dev sr0, sector 0
Jan  2 19:38:12 deathray kernel: Buffer I/O error on device sr0, logical block 0
Jan  2 19:38:12 deathray kernel: Buffer I/O error on device sr0, logical block 1
Jan  2 19:38:12 deathray kernel: sr 9:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jan  2 19:38:12 deathray kernel: sr 9:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Jan  2 19:38:12 deathray kernel: sr 9:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Jan  2 19:38:12 deathray kernel: end_request: I/O error, dev sr0, sector 0
Comment 22 Luis Felipe Marzagao 2010-03-27 16:28:49 EDT
Created attachment 403036 [details]
lspci -vnn output on Dell Optiplex 755
Comment 23 Luis Felipe Marzagao 2010-03-27 16:31:42 EDT
Same issue here on a Dell Optiplex 755 (lspci attached).

I have two CD/DVD drives (one R/W other R). It's pretty unstable under F12, although both drives work just fine under Win7.

Sometimes the disc load, sometimes it doesn't. And sometimes I get these messages:

#
Mar 27 17:19:59 localhost kernel: sr 3:0:0:0: [sr1] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
#
Mar 27 17:19:59 localhost kernel: sr 3:0:0:0: [sr1] Sense Key : Illegal Request [current]
#
Mar 27 17:19:59 localhost kernel: Info fld=0x16ac2, ILI
#
Mar 27 17:19:59 localhost kernel: sr 3:0:0:0: [sr1] Add. Sense: Illegal mode for this track
#
Mar 27 17:19:59 localhost kernel: sr 3:0:0:0: [sr1] CDB: Read(10): 28 00 00 01 6a c2 00 00 01 00
#
Mar 27 17:19:59 localhost kernel: end_request: I/O error, dev sr1, sector 371464
#
Mar 27 17:19:59 localhost kernel: Buffer I/O error on device sr1, logical block 92866
#
Mar 27 17:19:59 localhost kernel: sr 3:0:0:0: [sr1] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
#
Mar 27 17:19:59 localhost kernel: sr 3:0:0:0: [sr1] Sense Key : Illegal Request [current]
#
Mar 27 17:19:59 localhost kernel: Info fld=0x16ac2, ILI
#
Mar 27 17:19:59 localhost kernel: sr 3:0:0:0: [sr1] Add. Sense: Illegal mode for this track
#
Mar 27 17:19:59 localhost kernel: sr 3:0:0:0: [sr1] CDB: Read(10): 28 00 00 01 6a c2 00 00 01 00
#
Mar 27 17:19:59 localhost kernel: end_request: I/O error, dev sr1, sector 371464
#
Mar 27 17:19:59 localhost kernel: Buffer I/O error on device sr1, logical block 92866
#
Mar 27 17:19:59 localhost kernel: sr 3:0:0:0: [sr1] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
#
Mar 27 17:19:59 localhost kernel: sr 3:0:0:0: [sr1] Sense Key : Illegal Request [current]
#
Mar 27 17:19:59 localhost kernel: Info fld=0x16ac2, ILI

... (and so on)

Thanks
Comment 24 Bug Zapper 2010-04-27 08:58:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Bug Zapper 2010-06-28 07:16:49 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.